// tk_glow, Copyright 2004, tron73 ofc
// based on code by MiRoir-TK.
//
// When shooting at teammates, a sound will be played and the player who was
// hit begins to glow red for 5 seconds
// ups.wav goes in sound/misc

// adapted for amxmodx by tron73

#include <amxmodx>
#include <fun>

public damage_event() {
    new victim = read_data(0);
    new weapon;
    new attacker = get_user_attacker(victim, weapon);

    if (attacker != victim && get_user_team(victim) == get_user_team(attacker)) {
        set_user_rendering(victim);
        client_cmd(attacker, "spk misc/ups.wav");
        set_user_rendering(victim,kRenderFxGlowShell,128,0,0,kRenderNormal,16);
        set_task(1.5,"tk");
    }
    return PLUGIN_CONTINUE;
}

public tk() {
	new playersCT[32]
	new playersT[32]
	new nbrCT,nbrT
	get_players(playersCT,nbrCT,"e","CT")
	get_players(playersT,nbrT,"e","TERRORIST")
	for(new i = 0; i < nbrCT; i++) {
	      set_user_rendering(playersCT[i]);
	}
	for(new i = 0; i < nbrT; i++) {
	      set_user_rendering(playersT[i]);
	}
}

public reset_hud(id) {

    set_user_rendering(id);
}

public plugin_precache()

{
    precache_sound( "misc/ups.wav")
    return PLUGIN_CONTINUE
}

public plugin_init() {
    register_plugin("TK-Glow", "0.1.2", "tron73 ofc");

    register_event("Damage", "damage_event", "b", "2!0");
    register_event("ResetHUD", "reset_hud", "b");

    return PLUGIN_CONTINUE;
}

